* {
    margin: 0;
    padding: 0;
    border: 0;
}
.grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: repeat(2, calc(100vh / 2));
    gap: 0px 0px;
    grid-template-areas: 
    "four five six"
    "seven eight nine";
}

.four {
    background-color: aqua;
    grid-area: four;
}
.five {
    background-color: blueviolet;
    grid-area: five;
    display: grid;
    gap: 0px 0px;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas: 
    "five_one five_two"
    "five_three five_four";
}
.five .five_one {
    background-color: chocolate;
    grid-area: five_one;
}
.five .five_two {
    background-color:cadetblue;
    grid-area: five_two;
}
.five .five_three {
    background-color: brown;
    grid-area: five_three;
}
.five .five_four {
    background-color: azure;
    grid-area: five_four;
}

.six {
    background-color: green;
    grid-area: six;
}

.seven {
    background-color: gray;
    grid-area: seven;
    display: grid;
    gap: 0px 0px;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    grid-template-areas: 
    "seven_one seven_two";
}
.seven .seven_one {
    background-color: darkgrey;
    grid-area: seven_one;
}
.seven .seven_two {
    background-color: darkorchid;
    grid-area: seven_two;
}

.eight {
    background-color: coral;
    grid-area: eight;
}

.nine {
    background-color:lightgray;
    grid-area: nine;
    display: grid;
    gap: 0px 0px;
    grid-template-columns: 1fr;
    /* grid-template-rows: repeat(2, 1fr); */
    grid-template-rows: 1fr 1fr;
    grid-template-areas: 
        "nine_one"
        "nine_two";
}
.nine .nine_one {
    background-color: chartreuse;
    grid-area: nine_one;
}
.nine .nine_two {
    background-color:darkmagenta;
    grid-area: nine_two;
}